summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
author ponce2010-09-21 01:10:36 +0200
committer Robby Workman2010-09-22 05:09:41 +0200
commit703215aba6a5cbde3ffe3473ce1ec6cd1576e2e6 (patch)
tree8e6ccb66e0a29141138d2b71eae798854e5c3afb
parentf2c346b9b140c493ae866ccae459311ba3add908 (diff)
downloadslackbuilds-703215aba6a5cbde3ffe3473ce1ec6cd1576e2e6.tar.gz
desktop/lxlauncher: Added (Application launcher for netbooks)
Signed-off-by: dsomero <xgizzmo@slackbuilds.org>
-rw-r--r--desktop/lxlauncher/README8
-rw-r--r--desktop/lxlauncher/lxlauncher.SlackBuild125
-rw-r--r--desktop/lxlauncher/lxlauncher.info10
-rw-r--r--desktop/lxlauncher/slack-desc19
4 files changed, 162 insertions, 0 deletions
diff --git a/desktop/lxlauncher/README b/desktop/lxlauncher/README
new file mode 100644
index 0000000000..cb4ae16ac7
--- /dev/null
+++ b/desktop/lxlauncher/README
@@ -0,0 +1,8 @@
+lxlauncher (Application launcher for netbooks)
+
+LXLauncher is an open source clone of Asus launcher for EeePC.
+It outperformes the original launcher developed by Xandros. Background
+images used by Asus launcher are non-free and are hence not included in
+this package. If you add these images yourself they will be used.
+
+This requires lxmenu-data.
diff --git a/desktop/lxlauncher/lxlauncher.SlackBuild b/desktop/lxlauncher/lxlauncher.SlackBuild
new file mode 100644
index 0000000000..175b8f0f5c
--- /dev/null
+++ b/desktop/lxlauncher/lxlauncher.SlackBuild
@@ -0,0 +1,125 @@
+#!/bin/sh
+# $Id: lxlauncher.SlackBuild,v 1.3 2009/09/11 20:45:23 root Exp root $
+# Copyright (c) 2008-2009 Eric Hameleers, Eindhoven, NL
+# All rights reserved.
+#
+# Permission to use, copy, modify, and distribute this software for
+# any purpose with or without fee is hereby granted, provided that
+# the above copyright notice and this permission notice appear in all
+# copies.
+#
+# THIS SOFTWARE IS PROVIDED ``AS IS'' AND ANY EXPRESSED OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED.
+# IN NO EVENT SHALL THE AUTHORS AND COPYRIGHT HOLDERS AND THEIR
+# CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT
+# LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF
+# USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND
+# ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY,
+# OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT
+# OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF
+# SUCH DAMAGE.
+# -----------------------------------------------------------------------------
+#
+# Slackware SlackBuild script
+# ===========================
+# By: Eric Hameleers <alien@slackware.com>
+# For: lxlauncher
+# Descr: Application launcher for Asus Eee pc
+# URL: http://lxde.sourceforge.net/
+# Needs: lxmenu-data
+# Changelog:
+# 0.2-1: 29/jun/2008 by Eric Hameleers <alien@slackware.com>
+# * Initial build.
+# 0.2.1-1: 11/sep/2009 by Eric Hameleers <alien@slackware.com>
+# * Update.
+# 20100903_3480629: 12/sep/2010 by ponce <matteo.bernardini@sns.it>
+# * Adapted to slackbuilds.org's autotools template.
+# * updated to git snapshot.
+#
+# Run 'sh lxlauncher.SlackBuild' to build a Slackware package.
+# The package is created in /tmp .
+# Install using 'installpkg'.
+#
+# -----------------------------------------------------------------------------
+
+PRGNAM=lxlauncher
+VERSION=${VERSION:-20100903_3480629}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+# Automatically determine the architecture we're building on:
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i486 ;;
+ arm*) ARCH=arm ;;
+ # Unless $ARCH is already set, use uname -m for all other archs:
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+DOCS="AUTHORS COPYING ChangeLog NEWS README"
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/$PRGNAM-$VERSION.tar.?z
+cd $PRGNAM-$VERSION
+chown -R root:root .
+find . \
+ \( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
+ -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
+ -exec chmod 644 {} \;
+
+sh autogen.sh
+
+CXXFLAGS="$SLKCFLAGS" \
+CFLAGS="$SLKCFLAGS" \
+./configure \
+ --prefix=/usr \
+ --libdir=/usr/lib${LIBDIRSUFFIX} \
+ --localstatedir=/var \
+ --sysconfdir=/etc \
+ --mandir=/usr/man \
+ --program-prefix= \
+ --program-suffix= \
+ --build=$ARCH-slackware-linux
+make
+make install-strip DESTDIR=$PKG
+
+# Add documentation:
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a $DOCS $PKG/usr/doc/$PRGNAM-$VERSION || true
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+chown -R root:root $PKG/usr/doc/$PRGNAM-$VERSION
+find $PKG/usr/doc -type f -exec chmod 644 {} \;
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/desktop/lxlauncher/lxlauncher.info b/desktop/lxlauncher/lxlauncher.info
new file mode 100644
index 0000000000..87c03042f2
--- /dev/null
+++ b/desktop/lxlauncher/lxlauncher.info
@@ -0,0 +1,10 @@
+PRGNAM="lxlauncher"
+VERSION="20100903_3480629"
+HOMEPAGE="http://www.lxde.org/"
+DOWNLOAD="http://ponce.cc/slackware/sources/repo/lxde/lxlauncher-20100903_3480629.tar.xz"
+MD5SUM="57b4948abed467878eac58c41be9fe85"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+MAINTAINER="ponce"
+EMAIL="matteo.bernardini@sns.it"
+APPROVED="dsomero"
diff --git a/desktop/lxlauncher/slack-desc b/desktop/lxlauncher/slack-desc
new file mode 100644
index 0000000000..bf9b3bb9ba
--- /dev/null
+++ b/desktop/lxlauncher/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|'
+# on the right side marks the last column you can put a character in. You must
+# make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':'.
+
+ |-----handy-ruler------------------------------------------------------|
+lxlauncher: lxlauncher (Application launcher for netbooks)
+lxlauncher:
+lxlauncher: LXLauncher is an open source clone of Asus launcher for EeePC.
+lxlauncher: It outperformes the original launcher developed by Xandros.
+lxlauncher: Background images used by Asus launcher are non-free and are hence
+lxlauncher: not included in this package.
+lxlauncher: If you add these images yourself they will be used.
+lxlauncher:
+lxlauncher:
+lxlauncher: lxlauncher home: http://www.lxde.org
+lxlauncher: